#
# spec file for package ippl (Version 1.4.13)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  db-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ippl
Summary:      IP protocols logger
Version:      1.4.13
Release:      26
URL: http://pltplp.net/ippl/
Source: ippl-%{version}.tar.gz
Source1: ippl.init
Copyright: distributable
Group: Utilities/Security
Buildroot: %{_tmppath}/%{name}-root

%description
ippl is a configurable IP protocols logger. It currently logs incoming ICMP
messages, TCP connections and UDP datagrams. It is configured with
Apache-like rules and has a built-in DNS cache. It is aimed to replace
iplogger.

Authors:
--------
    Hugo Haas <hugo@larve.net>
    Etienne Bernard <eb@pltplp.net>

SuSE series: sec

%prep
%setup -q
# This files are embedded here instead of being another source in order
# to the prefix directory
cat >rc.config.ippl <<EOFF
#
# Should the IPPL protocols logger be started at bootup? (yes/no)
#
START_IPPL="no"
EOFF

%build
# Make binaries
./configure --prefix=/usr --mandir=%{_mandir} --sysconfdir=/etc --with-user=nobody
make

%install
rm -rf $RPM_BUILD_ROOT
install -d      ${RPM_BUILD_ROOT}/etc/init.d \
		${RPM_BUILD_ROOT}%{prefix}/bin \
		${RPM_BUILD_ROOT}/usr/sbin \
		${RPM_BUILD_ROOT}/var/adm/fillup-templates
install -m 755 -d $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 755 -d $RPM_BUILD_ROOT/%{_mandir}/man5
install -m 755 -d $RPM_BUILD_ROOT/var/log/ippl
make ROOT=$RPM_BUILD_ROOT install
touch $RPM_BUILD_ROOT/var/log/ippl/all.log
install -m 755 %{S:1}		${RPM_BUILD_ROOT}/etc/init.d/ippl
install -m 755 rc.config.ippl	${RPM_BUILD_ROOT}/var/adm/fillup-templates/rc.config.ippl
ln -sf          ../../etc/init.d/ippl  ${RPM_BUILD_ROOT}/usr/sbin/rcippl

%post
sbin/insserv etc/init.d/ippl
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.ippl
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.ippl and"
  echo "update by hand."
fi

%postun
sbin/insserv etc/init.d/

%files
%defattr(-,root,root)
%doc BUGS CREDITS HISTORY INSTALL LICENSE README TODO
%config /etc/ippl.conf
# %dir /var/log/ippl
%config /var/log/ippl/all.log
/%{_mandir}/man5/ippl.conf.5.gz
/%{_mandir}/man8/ippl.8.gz
/usr/sbin/*
/var/adm/fillup-templates/rc.config.ippl
/etc/init.d/ippl

%changelog -n ippl
* Sun Aug 26 2001 - mge@suse.de
- update to 1.4.13: Fixed the parsing of hostnames containing a "-"
- fixed /etc/init.d/ippl status-handling (bug #9049)
* Mon Dec 04 2000 - mge@suse.de
- update to 1.4.12, new /etc/init.d handling
* Mon Nov 06 2000 - ro@suse.de
- added db-devel to neededforbuild
* Thu Jul 13 2000 - mge@suse.de
- added symlinks to /etc/rc.d/rc2.d /etc/rc.d/rc3.d
* Fri Jul 07 2000 - mge@suse.de
- initial SuSE package
* Thu Jun 08 2000 - Curtis Ireland <cireland@aurora.carleton.ca>
- Package for ippl 1.4.10
- Change URL in .spec file
- Change my contact email
* Mon Jan 10 2000 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Adjust logrotate
* Mon Dec 06 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Rebuild for RedHat 6.x
- Resign packages due to loss of PGP keys
* Fri Oct 15 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.8
- Fix /var/log/ippl/all.log so that new versions don't overwrite old ones
* Wed Sep 08 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.7
* Wed Aug 11 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Fixed location of logs in logrotate file
* Thu Jun 17 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.6
* Tue Apr 20 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.5
* Tue Apr 13 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.3 (For archival purposes)
- Package for ippl 1.4.4
* Thu Apr 08 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.2
* Tue Apr 06 1999 - Charles R. Anderson <cra@wpi.edu>
- Made buildable by normal user
- Added /var/log/ippl directory to package
* Mon Apr 05 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.1
* Sat Mar 27 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.4.0
* Mon Mar 22 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Add patch to fix ident problems
* Tue Mar 16 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.9
- Added package signature for verification
- Package for ippl 1.3.8 (Bug Fix version)
- Package for ippl 1.3.7
* Mon Mar 15 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.6 (1.3.4 -> 1.3.5 were development releases)
- Adjust script to accommodate configure script
* Mon Mar 08 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.3.3
- Package for ippl 1.3.2 (Through patch)
- Allows for compiles on libc5 systems
* Sun Mar 07 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.2.4
- Patch ippl 1.2.4 -> 1.3.1
* Thu Mar 04 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.2.2
* Mon Mar 01 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.2
- ippl.conf patch to enable file logging into ippl.log
* Mon Feb 22 1999 - Curtis Ireland <cireland@vsynth.carleton.ca>
- Package for ippl 1.1
- PGP signed packages
* Wed Feb 17 1999 - Curtis Ireland <cireland@vsynth.carlrton.ca>
- Fixed typo in the ippl.init file
- Includes /var/log/ippl.log
- Added logrotate file
* Tue Feb 16 1999 - Curtis Ireland <cireland@vsynth.carlrton.ca>
- Creaded rpm from ippl package.
